
Redmine - Defect #34778

Inconsistencies working with workflow permissions

2021-02-20 19:59 - Frederico Camara

Status: Confirmed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 4.1.0

Description

Found two problems working with setting workflow permissions to read_only:

On Admin > Workflows > Permissions:

when you set tracker_id to "read_only" for the first tracker/status, on a project that has this tracker as the first tracker, you can't chose

another tracker when creating a new issue,

when you set subject to "read-only" for the first tracker/status, you can't create a new issue with this tracker, as it it required and has

no default.

Editing an issue

after you change from a status that have tracker_id set to "read-only", to another status that doesn't

before you save

when you try to change the tracker to another tracker

the page refreshes and doesn't change the tracker_id

Patches attached:

Related issues:

Related to Redmine - Defect #29300: New issue can't select read-only tracker Confirmed

Related to Redmine - Feature #28150: Ability to choose Fields permissions for... New

History

#1 - 2021-02-21 06:02 - Go MAEDA

- Category set to Issues workflow

#2 - 2022-01-03 01:38 - Go MAEDA

- Related to Defect #29300: New issue can't select read-only tracker added

#3 - 2022-01-03 01:38 - Go MAEDA

- Related to Feature #28150: Ability to choose Fields permissions for new issue added

#4 - 2022-01-03 01:45 - Go MAEDA

- Status changed from New to Confirmed

Maybe allowing to configure fields permission for new issues (#28150) is a nice solution.

Files

0025-Subject-is-safe-for-new-issue.patch 2.09 KB 2021-02-20 Frederico Camara

0026-Change-status_id-first-when-update_issue_from_params.patch1014 Bytes 2021-02-20 Frederico Camara
